Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.encryption
Interface EncryptionProperties

    public interface EncryptionProperties

`EncryptionProperties` can hold additional information concerning the generation of the `EncryptedData` or `EncryptedKey`. This information is wraped int an `EncryptionProperty` element. Examples of additional information is e.g., a date/time stamp or the serial number of cryptographic hardware used during encryption).

It is defined as follows:

     <element name='EncryptionProperties' type='xenc:EncryptionPropertiesType'/>
     <complexType name='EncryptionPropertiesType'>
         <sequence>
             <element ref='xenc:EncryptionProperty' maxOccurs='unbounded'/>
         </sequence>
         <attribute name='Id' type='ID' use='optional'/>
     </complexType>

Author:
  Axl Mattheus

Method Summary
`void` | `addEncryptionProperty(EncryptionProperty property)` Adds an `EncryptionProperty`.
`java.util.Iterator<EncryptionProperty>` | `getEncryptionProperties()` Returns an `Iterator` over all the `EncryptionPropterty` elements contained in this `EncryptionProperties`.
`java.lang.String` | `getId()` Returns the `EncryptionProperties`' id.
`void` | `removeEncryptionProperty(EncryptionProperty property)` Removes the specified `EncryptionProperty`.
`void` | `setId(java.lang.String id)` Sets the id.

Method Detail

### getId

    java.lang.String getId()

  Returns the `EncryptionProperties`' id.

  Returns:
    the id.

### setId

    void setId(java.lang.String id)

  Sets the id.

  Parameters:
    `id` - the id.

### getEncryptionProperties

    java.util.Iterator<EncryptionProperty> getEncryptionProperties()

  Returns an `Iterator` over all the `EncryptionPropterty` elements contained in this `EncryptionProperties`.

  Returns:
    an `Iterator` over all the encryption properties.

### addEncryptionProperty

    void addEncryptionProperty(EncryptionProperty property)

  Adds an `EncryptionProperty`.

  Parameters:
    `property` -

### removeEncryptionProperty

    void removeEncryptionProperty(EncryptionProperty property)

  Removes the specified `EncryptionProperty`.

  Parameters:
    `property` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD